Welcome to Xteq X-Setup!

Xteq X-Setup is a so-called "hacker" or "tweaker" program. It allows you to change settings that are normally hidden deep inside configuration files (like the registry) fast and easily. Besides this, it has many features that make using Windows easier and faster.

Reminder - X-Setup is free for personal use only. If you want to use X-Setup in a commercial environment, you must purchase a license for it. Please see the section X-Setup Licensing for details.

Notice: Most users do not need to register. If you want to help Xteq Systems, you may make a donation. Please visit http://www.xteq.com/donate/ for more information.

How it works and what it does

There are many software vendors that include options in their programs that can not be controlled using the program itself because these option are only intended for system administrators (for example). That's the point where X-Setup jumps in: X-Setup knows where and how to activate these options in various programs and presents them in a nice user interface so you don't have to dive into the system configuration.

An important notice: As X-Setup only changes the configurations for the programs, it can not "add" any option to a program that isn't supported or possible in it. For example, as long as Microsoft does not add the option "make my computer jump when I press CTRL+J" in Internet Explorer, X-Setup can not provide an option to configure this feature, as the feature is non-existent in the program.

How to use X-Setup

One of the major features X-Setup has, is that it allows you to choose between two modes: Plug-in Mode and Wizard Mode. In Plug-in mode you use a hierarchical display to navigate to the settings you want to change. In Wizard Mode, you simply select a topic you are interested in from the "Wizards" menu and X-Setup will display a Wizard that allows you to change the settings in a step-by-step process.

Beyond and more

Of course, X-Setup is more than the quick overview provided here. Just browse the help to learn more about the advanced features of X-Setup and you will see why X-Setup is called the "mother of all tweakers" and the one-and-only choice of many professional system specialists. It is used by computing enthusiasts, home users, gamers, system administrators, and many people just like you, all over this planet.

A word of warning

Like every tweaking utility, X-Setup should be treated with caution - it can tweak many system settings that should only be changed by people who know what they are doing. For more information, see the section A Word Of Warning.


X-Setup - A Warning

X-Setup is an extremely powerful program, which, if used incorrectly, could cause PERMANENT DAMAGE to your computer. PLEASE read this page before you make any changes to your system.

Tips for avoiding problems

1. A lot of X-Setup's functions are aimed only at advanced users who know what they are doing. If you feel uncomfortable about using a plug-in, don't use it, and, if you like, you can delete it. Our Support Team will be happy to explain options to you if you are unsure about anything.

2. Make sure you have a recent backup of all of your system and personal files, which you can restore if things go wrong. Windows 98 and Me automatically back-up your registry each day - to restore this go to Start -> Run and type "scanreg /restore" (Windows 98 users must restart in MS-DOS mode).

3. Configure X-Setup's logfile to record your actions in detail. This records every system change X-Setup has made, and can be very helpful if you need to retrace your steps. To do this, open X-Setup's Options dialog, click the Logfile tab and select Level 2. You will need to close X-Setup and then open it again for the change to take effect. To view the logfile, click on the Extra menu in the Default UI, and choose "View Logfile...".

If you do encounter a problem

In case that you have any problems with X-Setup, or the changes you made with it, see the Support topic inside this help for details instructions what you can do to resolve the problem.


How to use X-Setup

If you are a first-time user, then this section should be your first port of call. The contents of this section will help you learn how to use X-Setup's interfaces.

  • Plug-in Interface (Default UI)
  • Wizard Interface


Plug-In Interface

Using Xteq X-Setup with the Plug-in Interface (Default UI)

The plug-in interface (also called Default User Interface) gives you access to all settings inside X-Setup. It's ideal for advanced and power users. Note: X-Setup also provides a very easy mode to use it, the Wizard Interface; follow the link to learn more.

To start it, start the "Xteq Systems X-Setup Welcome" link using the Start -> Programs menu. Inside the "Welcome to Xteq Systems X-Setup" screen, click the "X-Setup Default UI" link.

The appearing program will look similar to the screenshot below. Click on part of the image to find out what each option does.

File Menu Extra Menu Programs Menu Help Menu Toolbar Plug-in Tree Options panel Apply Changes Description Status Bar Restart Indicator

You can't click here!

File Menu

This is the File menu, which lets you change program options and activate important modes - for more information see the File Menu topic.

* Back to top

Extra Menu

This is the Extra menu, which lets you activate some less important options - for more information see the Extra Menu topic.

* Back to top

Programs Menu

This menu contains shortcuts to 'hidden' Windows utilities - for more information see the Programs Menu topic.

* Back to top

Help Menu

This is where you should come if you need help with X-Setup, or just want a few tips - for more information see the Help Menu topic.

* Back to top

Toolbar

The buttons on the toolbar let you access common X-Setup functions, like Search, Safe Mode and Help - for more information see the Toolbar topic.

* Back to top

Plug-in Tree

This tree contains all the options that you can change in X-Setup, organized into 'folders' (or 'branches'). Here is what each icon means:

X-Setup Images This appears at the top of the tree, and can be used for expanding / collapsing the entire branch.
This is a folder, which, when clicked on, will expand to reveal more plug-ins or folders.
This indicates that the folder has been selected.
This is a plug-in that has been selected
This indicates a 'system critical' plug-in.
This indicates a normal plug-in that hasn't been selected.
This appears when the plug-in has crashed.

Clicking on a plug-in in this tree opens it, and its options will appear in the Options panel.

* Back to top

Options panel

This is the area where the options you can change appear. Because different plug-ins work in different ways, the plug-ins will appear differently. Some consist of a collection of checkboxes or radio buttons, some have text boxes, some are buttons, some are listboxes, and some are listboxes with checkmarks.

* Back to top

Apply Changes

This is the button which lets you apply any changes you make in each plug-in (unless the plug-in consists of one or more buttons - in which case, pressing a button will apply the change). You can't make any changes to your system without clicking on this button! You can also apply changes by pressing F9 on your keyboard.

* Back to top

Description

This is a description of what the plug-in does, and you should always read the description before you make any changes to your system! The description not only describes what the plug-in will change, but also any side-effects that may be caused by using the plug-in, what operating systems it should be used with and some useful links.

* Back to top

Status Bar

This tells you briefly what X-Setup is doing, for example 'loading plug-ins' or 'applying changes'.

* Back to top

Restart Indicator

Some options will not take effect unless you log off or restart the computer, and this indicator tells you whether you need to do this. "LOGOFF" indicates you need to log off the computer (but not restart it - you can log in again afterwards), and "RESTART" indicates that you must restart the computer. Note : Since restarting the computer requires that you log off, then you may see "LOGOFF" change to "RESTART" if you apply a plug-in that requires you to log off, and then one that requires you to restart, BUT, not vice versa (i.e. a "RESTART" will never become a "LOGOFF").

* Back to top


Using Xteq X-Setup in wizard mode

Using Xteq X-Setup with the Wizard Interface

If you think the Plug-in Interface of X-Setup is too complicated, the wizard mode is ideal for you. All the options are grouped together in a 'wizard', similar to those used by Windows and other programs.

  • Step 1: Launching Wizard Mode
  • Step 2: Running a Wizard
  • Step 3: The Wizard Introduction Screen
  • Step 4: Tweaking Wizard Options
  • Step 5: Exiting the wizard

Step 1: Launching X-Setup Wizards

To start it, start the "Xteq Systems X-Setup Welcome" link using the Start -> Programs menu. Inside the "Welcome to Xteq Systems X-Setup" screen, click the "X-Setup Wizards" link.

Step 2: Running a wizard

You'll now see the wizard selection dialog. As well as letting you select which wizard to run, it will also introduce you to the wizard interface, and give some statistics about how many wizards are installed. You can also click on "Close" to close the dialog (you can do this at any time), and the "Config..." button launches X-Setup's Options dialog.

To run a wizard:
Click on "Select Wizard -->" and choose a wizard that interests you.

Step 3: The Wizard Introduction Screen

When you select the wizard, you will be greeted with a couple of options. Clicking on "Show Wizard Information" lets you see information about the wizard, such as its author and which version it is, and basically it is the same as the Plug-in Information dialog, except that you can't see the plug-in code. If you don't want the wizard anymore, you can click on "Delete this Wizard".

A short description of the wizard will also be displayed at the top of the wizard dialog. To start tweaking options, click on "Next >>" (or press F9). Otherwise, you can click on "<< Back" and choose another wizard.

Step 4: Tweaking wizard options

The next page that appears will let you change options. The dialog is in two parts; the upper section contains a description of the options, which you should always read before making any changes, and the lower section, which contains the options that you can change. When you click "Next >>", or press F9, the changes are applied.

Step 5: Exiting the wizard

Once you have reached the end of the wizard (the number of steps in the wizard is shown in the title bar of the wizard dialog), you will see a dialog like the one below. To open a new wizard, click on "Next >>", or click "<< Back" to go back and change the options again. To exit X-Setup, click on "Close".


Menus

X-Setup Menus

This section goes through each of the menus in X-Setup's Plug-in Interface, as well as its toolbar.

Menus:

  • File Menu
  • Selection Menu
  • Extra Menu
  • Favorites Menu
  • Programs Menu
  • Help Menu

  • Toolbar


The Toolbar

Click on one of the toolbar buttons below to find out what it does:

Back Forward Expand / Collapse All Information Safe Mode Record Mode Search Help X-Setup Toolbar

Back

This works in the same way as the Back button in your web browser. X-Setup remembers the exact order in which you opened plug-ins, and so, if you want to go back to a plug-in you opened previously, this will take you back to it.

* Back to top

Forward

This is very similar to Back, except it takes you forwards instead of backwards.

* Back to top

Expand / Collapse All

This option lets you expand or collapse all the brances in the interface. Expanding all branches opens all the folders, so all plug-ins are displayed. Collapsing all branches hides all the plug-ins and sub-folders and only shows the base folders. Note: on slow machines where the cache is disabled, expanding all branches may take a long time.

* Back to top

Information

This displays the plug-in information dialog which contains information about the plug-in which is currently loaded into memory. For more information about this, see the Plug-In Information dialog topic.

* Back to top

Safe Mode

This activates Safe Mode. For more information about this, see the Safe Mode topic.

* Back to top

Record Mode

This activates Record Mode. For more information about this, see the Record Mode topic.

* Back to top

Search

This opens the Search dialog. For more information about this, see the Search dialog topic.

* Back to top

Help

This opens the X-Setup help file, which you are viewing now.

* Back to top


Menus: File

Click on one of the items below to find out what it does:

Refresh All Refresh All (no cache) Safe Mode Record Mode Options Exit File Menu

Refresh All

Each time you launch X-Setup, the program builds up a list of all the plug-ins in its plug-ins folder. If you install a new plug-in while you have X-Setup running, it may not appear on screen automatically, so you can use this function. This will refresh its list, so any changes that have been made will take effect.

You can also do this by pressing F5 on your keyboard.

* Back to top

Refresh All (no cache)

This is similar to Refresh All, except it may be noticably slower, particularly if you have not installed or modified any plug-ins since the last refresh. Normally, X-Setup builds a cache, allowing quicker access to the plug-ins when you use them, and when you refresh, X-Setup will use the cache if it finds that it is still valid. However, this option allows you to override the cache and so X-Setup will need to completely rebuild its plug-in list. Generally, you should only use this if you have problems with the basic Refresh All option.

* Back to top

Safe Mode

This option lets you activate Safe Mode. For more information about this, see the Safe Mode topic.

* Back to top

Record Mode

This option lets you activate Record Mode. For more information about this, see the Record Mode topic.

* Back to top

Options

With this, you can change the main options in X-Setup. For more information about this, see the Options Dialog topic. You can also display this dialog by pressing F12 on your keyboard.

* Back to top

Exit

This exits the program and returns you to Windows. Note that if you have used a plug-in which requires your computer to be restarted, you will be asked whether you want to shut down or logoff when you choose this option. You can also leave the program by clicking the X in the top-right corner of the X-Setup window, by right-clicking on the Taskbar and choosing 'Close' or by pressing ALT and F4 at the same time on your keyboard.

* Back to top


The Context Menu

The Selection/Context Menu is shown when you right-click on a plug-in while in Plug-in mode (Default UI), or when you open the Selection menu.

Click on one of the items below to find out what it does:

X-Setup Context Menu

Expand this key Collapse this key Add to Favorites Information Edit... Delete Cancel / Close Plug-in

Expand this key

If you right-click on a folder and choose this option, the entire branch is expanded. Normally, if you just click on a plug-in, only the next level will be expanded, whereas this opens the next and all subsequent levels. This option only appears when you right-click a key.

* Back to top

Collapse this key

This does the opposite of "Expand this key" - all folders and plug-ins in all levels are collapsed and hidden with this option. This option only appears when you right-click a key.

* Back to top

Add to Favorites

This option adds the currently listed plug-in to the Favorites menu, using the name of the plug-in as the item name in the Favorites menu. To change the name or edit favorites, see the Favorites topic.

* Back to top

Information

This option opens a dialog with information about this plug-in. For more information about this, see the Plug-in Information dialog topic.

* Back to top

Edit...

This opens the currently loaded plug-in in Notepad, so that you can make changes to it. You can change the editor which X-Setup uses for this action, by using the Options dialog; for more information about how to do this, see the Options dialog topic.

* Back to top

Delete

This plug-in removes the currently open plug-in from your computer/network. This is useful if you know that you won't need a specific plug-in. If you want to re-install it at a later date, re-install X-Setup, or if you downloaded it from the internet, run X-Update again (or visit the author's homepage).

* Back to top

Cancel /Close Plug-in

The last option on the menu is different, depending on whether you right-clicked a plug-in or clicked on the 'Selection' menu.

Cancel (right-click) This closes the menu and returns you to the user interface without making any changes.

Close Plug-in (Selection) This closes the currently open plug-in and removes it from memory.

* Back to top


Menus: Extra

Click on one of the items below to find out what it does:

Search... View Logfile... View Statistics... Move to previous item Move to next item Extra Menu

Search...

This opens a search window which lets you search for a plug-in by using specific keywords, handy if you changed an option and can't remember whereabouts it is in the interface. For more information about this, see the Search Dialog topic. You can also open this dialog by pressing F3 on your keyboard.

* Back to top

Version History

This opens the Version History Dialog that will help, to you find out the difference between the plug-ins you have currently installed and each old X-Setup version. For more information about this, see the Version History Dialog topic. You can also open this dialog by pressing F6 on your keyboard.

* Back to top

View Logfile...

This lets you view the logfile which X-Setup builds automatically. The logfile lists all the changes you have made to your system while using X-Setup, and could be useful if you accidently change an option and want to revert it later. For more information about the logfile and how it can be configured, see the Options dialog topic.

* Back to top

View Statistics...

With this option, you can have a look at some information about your current X-Setup configuration. It lets you know how many plug-ins and wizards are installed, how many plug-ins/wizards have contact URLs or how many are marked as being System Critical. It's not a vital component of X-Setup, but useful if you've ever wanted to know this sort of information.

* Back to top

Move to previous item

This goes to the plug-in above the currently active one in the hierarchy. So, for example, if you were using 'Visible pages in "Passwords"' in Appearance \ Control Panel \ Other Settings, clicking this would take you to 'Visible pages in "Network"'. You can also accomplish this by pressing Ctrl and F8 on your keyboard. Pressing the up arrow on the keyboard will do the same, though the plug-in will not be loaded into memory if you do this.

* Back to top

Move to next item

This option does the opposite of the above option, Move to previous item, by moving to the plug-in below the active one in the hierarchy. So, for example, if you were using 'Visible pages in "Passwords"' in Appearance \ Control Panel \ Other Settings, clicking this would take you to 'Visible pages in "Printers"'. You can also accomplish this by pressing F8 on your keyboard. Pressing the down arrow on the keyboard will do the same, though the plug-in will not be loaded into memory if you do this.

* Back to top


Menus: Favorites

The Favorites menu gives you quick access to the plug-ins you use the most often. A few plug-in entries are included to get you started, but you can add and remove other plug-ins as well.

Click on one of the items below to find out what it does:

Manage Add To Favorites Items Favorites Menu

Manage

This takes you to the Options dialog, where you can add, delete or edit items on the Favorites menu (when the dialog has opened, click on the 'Favorites' tab). You can also change the order in which the items appear in the menu, so you could have the plug-ins you use most often at the top, for example, and you can change the name on the menu to something more memorable if you wish.

You can also do this by pressing F12 on your keyboard.

* Back to top

Add To Favorites

This adds the currently selected plug-in to the list, using the title of the plug-in as the name on the menu. You can change the name using the 'Manage' option above.

* Back to top

Items

These are the items that you have added to the menu (though there are some default items that are provided by X-Setup to get you started). Clicking on the item will take you to that plug-in.

* Back to top


Menus: Programs

This menu contains shortcuts to some of the hidden utilities that are shipped with your Windows installation, such as the Registry Editor, Dr Watson or the System File Checker. These programs often don't have shortcuts on the Start Menu, and can be quite useful when used correctly. Warning: Some of these programs (such as the Registry Editor) can cause serious problems with your computer if they are used incorrectly. If you are not sure about using a program, don't use it. Xteq Systems cannot be held responsible if you make a serious mistake while using any of these programs.

Click on one of the items below to find out what it does:

Manage

This takes you to the Options dialog, where you can add, delete or edit items on the Programs menu (when the dialog has opened, click on the 'Programs' tab). The number of programs available varies depending on which operating system you have. You can also add more programs by using the 'Programs' tab in the Options dialog - for more information about this see the Options dialog topic.

You can also do this by pressing F12 on your keyboard.

* Back to top

Items

These are the items that you have added to the menu (though there are some default items that are provided by X-Setup to get you started). Clicking on the item will take you to that plug-in.

* Back to top


Menus: Help

The Help menu provides access to useful resources around X-Setup.

Click on one of the items below to find out what it does:

Contents Tip of the Day Xteq Web Site Xteq Support Lockergnome.com About... Team... Help Menu

Contents

This opens up this help file at the Welcome page. You can also show this by pressing F1 on your keyboard.

* Back to top

Tip of the Day

This displays the 'Tip of the Day' dialog which appears, by default, when you start X-Setup's plug-in or wizard interfaces. You can also use this option to show/hide the Tip of the Day dialog when X-Setup starts.

The Tip of the Day displays a new tip every time you open the dialog (or start X-Setup), which tells you about a useful feature in the program. You never know, you might learn something from it!

* Back to top

Xteq Web Site

This option takes you directly to Xteq Systems' web site at http://www.xteq.com/, where you can download more great free programs, find out more about us or help us. You can also obtain the latest version of X-Setup from this URL.

* Back to top

Xteq Support

If you have a problem with X-Setup and need to get some support, then this is a great place to look. The link takes you to our online support area at our Online Support Page. Please note the Support section inside this help file.

* Back to top

Lockergnome.com

This is a link to Lockergnome.com, the home of the Lockergnome daily newsletters which offer a daily dose of the best downloads, computing web sites, hardware reviews and Windows tips. Here you can subscribe to the newsletters, talk to people in the newsgroup or chat room, or read today's issue.

* Back to top

About...

This displays the About dialog, which has general information about X-Setup and the people who made it.

* Back to top

Team...

This displays the Team window, which is a scrolling credits screen thanking all the people who have helped make X-Setup what it is today.

* Back to top


X-Setup Dialogs

These pages explain some of the important dialog boxes X-Setup uses. X-Setup includes some more dialog boxes, but most of them don't require a special description so we haven't included them.

Please select the dialog you are interested in using the menu left from this text.


Search for Plug-ins

Search Dialog

The Search Dialog lets you search for plug-ins by typing in a simple phrase. It was added because X-Setup includes so many settings, it's hard to find a particular settings if you can only remember what it was for, but not the exact location of it.

Menu: Extra -> Search...
For possible keyboard shortcuts, see Keyboard Shortcuts.
For possible inclusion of this item inside the toolbar, see Toolbar.

Using the search dialog is quite simple: Just enter the phrase, you would like to search for, into the field "Search for". Press the "Start!" button to start the search. While searching, the progress bar at the bottom of the dialog will inform you how far X-Setup is with the searching. While the search is in progress, you can always click "Stop Searching" to interrupt the searching.

If X-Setup was able to find item that match you searched phrase, it will display the found items inside the "Results" pane. This pane is divided into three columns:

  • Filename
    This is the name of the plug-in file in which X-Setup found a match to the text string you supplied. For example, if you searched for "ActiveDesktop", and the plug-in called 'XQ Desktop Show Build.xpl' had "ActiveDesktop" in its header, then it would be displayed here.
  • Block
    This refers to the part of the header where the text was found, and this can be one of the following:
    • "DESCRIPTION x" - text was found in part of the plug-in description.
    • "TEXT x" - text was found in the names of one of the options.
    • "COMMENT x" - text was found in the Comments tab of the Plug-in Information dialog.
    • "NAME" - text was found in the name of the plug-in.

    There are other Block names which you may see, such as FILE, UIPATH, AUTHOR and COPYRIGHT (amongst others), but the four above are the main types that you are most likely to see. Note: If the string you type appears more than once in the plug-in, only the first instance appears in the dialog. Although the order in which header items appear in the plug-ins does vary, generally NAME comes first, followed by TEXT, DESCRIPTION and then COMMENT, so statistically you are more likely to see matches from the NAME block. Another Note: Where x has been used above, this is replaced by a positive integer in the dialog. It refers to the item or paragraph the text was found (for example the fourth paragraph of DESCRIPTION would appear as "DESCRIPTION 4").

  • Found
    This shows part of the sentence where X-Setup found the string you searched for.

To open one of the plug-ins you have found, all you need to do is click on its entry in the Search dialog, and X-Setup will open it for you. If you want to try another plug-in from the list of results, press F3 to re-open the Search window, where you can click on another plug-in. Note: If you have hidden any plug-ins through the Options dialog (for example, system critical plug-ins or those which are not designed for your OS), you will be told that you cannot open this plug-in.

Once you have finished with searching, you can click the "Close window" button to dismiss the search dialog, but the search results are stored in memory, and will reappear the next time you open the dialog.

To clear all results, click the "Clear Results" button.


Plug-in Information Dialog

Version History Dialog

Since X-Setup is constantly updated, this dialog will help you find out the difference between the plug-ins you have currently installed and each old X-Setup version. It is very useful when you have installed a new version of X-Setup and simply want to know what has changed with the new version.

Menu: Selection -> Version History...
For possible keyboard shortcuts, see Keyboard Shortcuts.
For possible inclusion of this item inside the toolbar, see Toolbar.

To use the Version History Dialog, first select against which version you would like to compare the current plug-ins inside X-Setup. Next, select which changes should be displayed by using the checkboxes "Show new files", "Show updates files" and "Show deleted files".

Click "Start" to start the comparing process and X-Setup will display the items inside the "Results" pane. This pane is divided into two columns:

  • Filename
    This is the name of the plug-in file that was changed between the old X-Setup version you have selected and the current plug-in you have installed.
  • Status
    The change that has happened with this plug-in.

If you are interested in one of the changed plug-in, simply click to activate it directly in X-Setup. Please note that nothing will happen if you click on a file with the status "Deleted" since the file does no longer exist.

Note: If you have hidden any plug-ins through the Options dialog (for example, system critical plug-ins or those which are not designed for your OS), you will be told that you cannot open this plug-in.

Once you have finished, you can click the "Close window" button to dismiss this dialog, but the results are stored in memory, and will reappear the next time you open the dialog.


Options Dialog

X-Setup lets you change hidden options of many programs. But there are a few of its own options that you can change too...

Menu: File -> Options...
For possible keyboard shortcuts, see Keyboard Shortcuts.
For possible inclusion of this item inside the toolbar, see Toolbar.

To find out what each item does, click on the name of its tab page below:

  • Security
  • Display
  • Logfile
  • Main Folders
  • Recording
  • Misc
  • Cache
  • Favorites
  • Programs

  • Security

    Safe Mode: Activate Safe Mode

    If this option is enabled, then X-Setup will ask your permission before any of the plug-ins or wizards are allowed to make changes to your system. If you do not give your permission, the plug-in or wizard will be shut down and disabled until you run it again. For more information about this, see the Safe Mode topic.

    Warning Messages: Display a warning message when activating a system critical plug-in

    If this option is enabled, X-Setup will warn you before running potentially dangerous plug-ins and wizards, giving you a choice to proceed with them enabled, or to disable them for maximum safety. Some plug-ins and wizards should be used carefully to avoid accidental mistakes, improper values for certain settings, or settings that are known to cause problems on some systems. With these types of plug-ins and wizards you should take great care when changing options. If you are sure that you have selected a value option and the setting will work properly on your system, you may continue by simply clicking "Yes" when prompted to allow the plug-in or wizard to be enabled.

    * Back to top

  • Display

    Configure Font

    This setting lets you change the font used to display text in X-Setup. If you are using a high resolution you may wish to use a larger font, while on lower resolutions a smaller font size may be in order. This setting also lets you specify your own preferred font for use within X-Setup, which can be any font which is installed on your computer. X-Setup's default font is "Tahoma" with a size of 8. Suggested fonts are Arial, MS Sans Serif (the default Windows fault), but some users like to use Lucida Sans.

    Hide: Display Plug-ins that are system critical

    As mentioned above in Security, some plug-ins are system critical. If you don't want to run the risk of accidently changing an important setting, you can hide all System Critical plug-ins by disabling this option. That way, they won't appear in the X-Setup plug-in UI. Note: This option has no effect when using Wizards.

    OS Version: Display only plug-ins that are designed for the current Operating System (OS)

    Some plug-ins only work under certain Operating Systems (OSs), for example some only work under Windows 2000. If you want, you can hide all the plug-ins which won't work with your OS.

    Even if you don't enable this option, most plug-ins which aren't designed for your current OS will be disabled, so you won't be able to run them anyway.

    * Back to top

  • LogFile

    LogFile Details

    There are three levels of log files which X-Setup will keep. Level 0 disables X-Setup's logging facility, so no logfile is produced. Level 1 will log the more important events to the logfile, but it won't log specific actions. Level 2 logs all events and all actions you have performed using X-Setup, and creates a more detailed log, which could be useful if you accidently change an option and want to revert it back but couldn't remember where it was. If you ever need technical support, our X-Setup support team may ask that you post your logfile, so that we can find out what you changed and give you details about how to change it.

    A quick summary:
    Level 0: No log is created.
    Level 1: Only the more important events are logged.
    Level 2: Everything is logged, including all changes you have made to your configuration.

    Note: You must restart X-Setup for this change to take effect.

    Default folder to store logfile

    Normally, X-Setup creates its logfile in your Temporary Files folder (usually C:\Windows\Temp or C:\Temp), but you can change the default folder here. If you use X-Setup a lot, it is a good idea to change it, because if you wipe the contents of your Temporary Files you will also loose the logfile.

    * Back to top

  • Main Folders

    Plug-in Folder / Wizard Folder

    These two options are very simple, they let you specify where your X-Setup plug-ins and wizards are kept. By default, these are "C:\Program Files\X-Setup\plugins" and "C:\Program Files\X-Setup\wizards" respectively. Note: if you change one of these to a folder where there are no plug-ins or wizards, you won't be able to change anything!

    Backup Folder

    Some plug-ins and wizards need to change important system files, and, if so, some of them will create a backup, which you can restore if things go wrong. This option specifies where these backups should be created. By default, this is "C:\Program Files\X-Setup\backup".

    * Back to top

  • Recording

    Confirmation: Confirm starting record mode

    When this option is enabled, X-Setup will ask for your permission before it commences the recording process. If you disable this option, no warning message is shown, and recording begins immediately. It is recommended that you enable this option to prevent accidental creation of recorded *.REG files. For more information about Record Mode, see the Record Mode topic.

    Default record file folder

    This allows you to select the folder where the Record Mode *.REG file will be saved by default. If you use Record Mode a lot, then this might be useful if you always save the output *.REG file to the same folder.

    * Back to top

  • Misc

    Debug Messages

    Enabling this option will enable the display of debug messages in X-Setup. These messages are usually useful for troubleshooting purposes if you have problems with a plug-in or wizard for some reason, and are also useful when creating and testing new plug-ins. Deactivate this option to avoid these debug messages.

    Plug-in Editor

    This option lets you change the program used when you right-click on a plug-in and choose Edit from the Context Menu. By default, this is Notepad (notepad.exe) but you can change this if you want.

    Reset

    This option will reset all of X-Setup's options, except for the "Programs" settings, back to their default values. This is useful if you wish to return to the default state X-Setup is installed in. Note: You should use this function every time you re-install or update X-Setup with a new version, to make sure any new settings are set properly. It is also useful if your X-Setup settings have somehow become corrupt.

    * Back to top

  • Cache

    Plug-in Cache / Wizard Cache

    These checkboxes will allow you to enable or disabled caching of plug-ins and/or wizards, respectively, in X-Setup. Enabling caching will dramatically increase the speed that X-Setup loads at after its first use. When these options are enabled, X-Setup will automatically generate small cache files in your \Temp folder. To clear the cache, you can simply delete these files; X-Setup will automatically rebuild the cache next time if it is enabled.

    * Back to top

  • Favorites

    These options control which favorites appear in the Favorites menu in the Plug-in Interface (Default UI). Note: You do not need to use this dialog to add a favorite. It's simpler to add a plug-in using the Selection/Context menu.

    Add...

    Adds a new item to the Favorites menu (see below).

    Edit...

    Allows you to modify the entry of the selected favorite (see below).

    Delete

    Deletes the selected item from the Favorites menu.

    Move Up / Move Down

    Lets you move the Favorites menu items up or down.

    • Adding/Editing items on the menu

    When you click on the Add... or Edit... buttons a new dialog will open that consist of the following elements:

    Name

    Type the name of the item as you want it to appear in the Favorites menu.

    File

    This should point to the plug-in, that should be executed when you click on this entry inside the Favorites menu.

    OK

    This exits the dialog and saves the changes.

    Cancel

    This exits the dialog, but doesn't save any of the changes you have made.

    * Back to top

  • Programs

    These options control which items appear in the Programs menu in the Plug-in Interface (Default UI).

    Add...

    Adds a new item to the Program menu (see below).

    Edit...

    Allows you to modify the entry for a selected program (see below).

    Delete

    Deletes the selected item from the Programs menu.

    Move Up / Move Down

    Lets you move the Programs menu items up or down.

    • Adding/Editing items on the menu

    When you click on the Add... or Edit... buttons a new dialog will open that consist of the following elements:

    Name

    Type the name of the item as you want it to appear in the Programs menu.

    Execute

    This should point to the program file, which X-Setup will execute when you click on its Program menu entry.

    Browse

    This lets you use the standard Windows open dialog to select a program to execute when you click on its Program entry. It saves you from having to type the file name out manually.

    Select OS

    Some programs only appear on certain platforms, for example the Windows Update program only appears in Windows 98, 2000 and Me (Millennium). So this part of the dialog lets you specify which OS (operating system) the program appears in. If you don't tick any boxes, the item will appear on the Programs menu regardless of which OS is being used.

    OK

    This exits the dialog and saves the changes.

    Cancel

    This exits the dialog, but doesn't save any of the changes you have made.

    * Back to top


Plug-in Information Dialog

X-Setup also lets you find out information about each individual plug-in.

Menu: Selection -> Information...
For possible keyboard shortcuts, see Keyboard Shortcuts.
For possible inclusion of this item inside the toolbar, see Toolbar.

To find out what each item does, click on the name of its tab page below:

  • General
  • Author
  • OS Version
  • Flags
  • Comments
  • Code View

  • General

    Filename

    This tells you the name of the file which the plug-in uses (for example "XQ Show On Desktop 1.xpl"), and its path.

    Name

    This is the name of the plug-in as it appears in the X-Setup UI (for example "Show On Desktop #1").

    Version

    This is the version number for the plug-in.

    Path(s)

    This is shows where the plug-in appears in the X-Setup UI. There can be up to 5 different entries here.

    * Back to top

  • Author

    Author

    The person or organization who made the plug-in originally. Most of the official Xteq plug-ins will say "Xteq Systems". Third-party authors will include their name (or nickname) here instead.

    Contact

    Since not all plug-ins are made by Xteq Systems, if you have any comments or queries about a plug-in, you should use this link to contact the author. You can just click on the link to take you to the author's web site. Note: Some official Xteq Systems plug-ins have different URLs here, so you should always use this link instead of forwarding all queries to Xteq.

    Copyright

    This item indicates who owns the copyright in the plug-in. All Xteq Systems plug-ins will say "Copyright © Xteq Systems - All Rights Reserved", others will be copyrighted to their respective authors, and some may have no copyright information at all.

    * Back to top

  • OS Version

    Operating System Version(s)

    Not all plug-ins work on all platforms, so you can have a look at this page to see which platforms are supported. Where there is a tick by the respective OS, the plug-in will work; if there is no tick, the plug-in will be disabled. If there are no ticks whatsoever, the plug-in will work on all platforms.

    * Back to top

  • Flags

    Is System Critical

    If there is a tick beside this item, then the plug-in will change important system settings, and may cause severe problems if mis-used.

    Requires Admin Priviledges

    This is ticked by default, meaning that only those with Administrative priviledges can change the option. However, the code to prevent non-administrators from altering these options has not yet been implemented - at the moment it's just there for information purposes only. So, if you aren't logged in as an adminstrator, you can still tweak options.

    * Back to top

  • Comments

    Additional comments about the plug-in appear here, and usually these include extra credits where suggestions and modifications have been made, or links to related articles on the internet.

    * Back to top

  • Code View

    This page shows the code which makes each plug-in work, and if you are creating your own plug-ins, have an interest in Visual Basic programming, or are just curious about how each plug-in works, then you can look at this. It shows all the universal constants used by the plug-in, plus all of its SUBs, but doesn't include the header information; to see this, use the Edit function on the Context Menu.

    * Back to top


X-Setup Modes

In this section, you can read about X-Setup's special modes that can be used to make the program more productive.

  • Safe Mode
  • Record Mode


Record Mode

One feature of X-Setup that Network Administrators may find useful is Record Mode. If this mode is activated, X-Setup will record most of the system changes you make to a REG file. This file can then be transported to a different machine and added to the registry by simply double-clicking this file, a great time-saver if you want to make the same changes to several machines.

How it works

If you apply the changes of a plug-in by clicking on the "Apply changes", all changes the plug-in makes are monitored and saved to an internal buffer. For example, if you start the "Super ACME Plug-in", activate "Fast Gate A20 Option" and click apply, the plug-in writes "FastGate=1" to the registry. Because record mode is currently activated, X-Setup will write "FastGate=1" to its internal buffer.

As soon as you stop recording, X-Setup (by de-activating record mode), X-Setup will produce a Save As dialog, where you can specify a filename and destination folder. Note: X-Setup will generate the file with the extension *.TXT because you should read the contents of the file before using it. After renaming it to *.REG it is ready to use.

Benefits

Record Mode can save you a lot of time. For example, if you want to make changes on several machines, instead of installing X-Setup on every machine and then applying the changes, you can create a single *.REG file and merge it into the registries on all machines. That way, you save a lot of time and you can be sure that all machines have been changed in the same way.

Drawbacks

Although this is a real powerful feature, it has some drawbacks:

  • Only Registry changes, additions and deletions can be recorded. All other changes (INI file writing, file changes etc.) are not supported. To inform you about this, X-Setup will inform you at the beginning of the file if any unsupported function was invoked, which function was invoked and what it has changed is noted later in the file.
  • If a X-Setup plug-in error occurs, the REG file might be damaged. To be absolutely sure that your REG file is not damaged, cancel the recording as soon as an error is displayed. If you have some experience with REG files, you can ignore the error and remove the invalid command later by hand.
  • X-Setup will write every change to the file, regardless if the command is already in the REG file or not. For example if you press "Apply changes" twice in a plug-in, all commands will be doubled in the REG file. Although this will not lead to an error, please keep this in mind.

Enabling Record Mode

To enable Record Mode, open up the Plug-in Interface (Default UI) from the X-Setup welcome screen. Then open the File menu and choose 'Record Mode'. Alternatively, you can click the Record Mode button on the Toolbar. Once Record Mode is enabled, the Record Mode icon on the Toolbar will appear depressed.

When you want to finish recording, repeat either of the above steps. Note that Record Mode also works in Wizard mode as well, but you can only enable or disable it in Plug-in mode.

Applying the REG file

To apply the generated REG file to a machine, do the following:

  • rename the file from .REG.TXT to .REG (be sure to have a look at the file first!)
  • copy the file to a location where the target computer(s) can access it, or onto a floppy disk (or similar)
  • either simply double-click the file or execute the command

    regedit /S <file>
    e.g.
    regedit /S y:\soft\mysett.REG

    Because Regedit has some problems with long filenames (LFN), you should keep the name of your REG file in 8+3 form.

Note: Normally using this REGEDIT /S command will work but it may fail if you want to change a system setting from a user account that hasn't got "Administrator" privileges on Windows 2000 or NT 4.0.

A system setting is anything in the HKEY_LOCAL_MACHINE or HKEY_CLASSES_ROOT hives in the Registry. If you system is "locked down", then this means that the current user has no rights to modify any values in these hives, and executing REGEDIT.exe will display an error message, such as "Not all values could be imported".

To solve this you can use the RUNAS command in Windows 2000. For example:

runas /user:Administrator "regedit.exe /S c:\test.reg"

This will then ask you for an admin password, and then switch the context to ADMINISTRATOR and execute the command. As the user ADMINISTRATOR has all privileges, the command will succeed.

Please note that if you use this command to import a file that makes changes below HKEY_CURRENT_USER, it will affect the ADMINISTRATOR account, not the current user, since RUNAS performs a context switch.

More information about RUNAS in Windows 2000 can be found in the Microsoft Knowledge base at http://support.microsoft.com/support/kb/articles/Q225/0/35.ASP.

As NT 4.0 has no RUNAS command, you will need to install a program that is able to perform a context switch. One example is "SU" from the Microsoft Windows NT 4.0 Resource Kit or "NTSU" (Freeware, search for it using Google.com). Please see the documentation of these tools how to execute a command as ADMINISTRATOR.

Changing Record Mode options

You can also change the default output folder for files you have created using Record Mode by using the Options dialog. For more information about this, see the Options dialog topic.


Safe Mode

Because you may install a plug-in from a third-party author that that you don't trust, you can activate X-Setup's "Safe Mode". If this mode is activated, X-Setup will ask you before the plug-in is allowed to change anything on your system. These security measures apply to X-Setup Wizards as well, since wizards are based on plug-in technology.

What happens when I activate Safe Mode?

If a plug-in tries to change anything on your computer (for example, write a registry value, change an INI value, delete a file etc.), a message appears displaying what the plug-in tries to do and if the plug-in should be allowed to perform this action. If you select "No" in this dialog, the plug-in is not allowed to perform the action and will be shut down. No changes are made to your system in this case.

How do I activate Safe Mode?

In Plug-in Mode (Default UI):
You can either click on the Safe Mode icon on the Toolbar (symbolized by a padlock), or click on the File Menu and choose 'Safe Mode'. You can always check to see if Safe Mode is activated, since the padlock icon on the toolbar and on the File menu is 'depressed'. To disable Safe Mode, just click on the padlock again.

In Wizard Mode
Click on the 'Config...' button at any time while using the Wizard. Then, on the 'Security' tab, put a tick besides the 'Activate Safe Mode' option. Then click 'OK'.

Even if Safe Mode is not activated, X-Setup performs several security checks:

  • Changes are only allowed when you press the "Apply Changes" button - if any plug-in tries to make changes somewhere else it's shut down automatically
  • If a command a plug-in performs fails (for example it tries to copy the file LOGO.SYS and this file does not exist) it's also shut down
  • The plug-in is only allowed to execute 30 seconds. If any action takes longer then this, the plug-in is shut down
  • Other security checks that are perform when a command inside the plug-in is invoked. For example, if the plug-in tries to remove a path from the registry and this path contains sub-values the plug-in is also shut down. It will also shut down plug-ins which try to change X-Setup's settings.


What are plug-ins?

X-Setup plug-ins are small files that provide the functionality for X-Setup. Plug-ins have no interface, instead they use the interface of X-Setup to communicate with you. Because of this, they are very small (usually 2 to 4 Kb) and fast. X-Setup itself can't change system system settings; all changes are carried out using plug-ins.

Also, because they are so small, it's easy to update an existing one or to add new functionality by adding new plug-ins.

For example, if you know how to activate a hidden feature inside the program "Super Dub", you can simply create a new plug-in by using the free X-Setup SDK, copy it to your plug-in directory and that's it!

Xteq X-Setup is nothing without plug-ins but simply the best "hacker" tweaking/system administration tool ever with them.

To create your own plug-ins, you will need the X-Setup SDK which can found at the Xteq Systems homepage.


What are wizards?

X-Setup wizards are basically collections of plug-ins that are displayed using a wizard window (Back, Next buttons and so on).

By using this technique, both plug-in developers and users win: The user gets an easy-to-use interface and the developer can use his or her existing plug-ins.

Because of this, it's also easy to create your own wizard. For example, if you always use the same three plug-ins but they are located in different places in X-Setup, you could create a wizard and include only these three plug-ins. This way, you simply start your own wizard and don't have to navigate through the plug-ins.

To create your own wizards, you will need the X-Setup SDK which can found at the Xteq Systems homepage.


Updating X-Setup

Some parts of X-Setup can be updated - this topic tells you what you can update and how to do it.

Updating plug-ins or wizards

For this, you can use the new X-Update program. For more information, see Installing new plug-ins and wizards and X-Update

Updating the Lockergnome tips file

260 Lockergnome tips are released every year - a new tip appears every weekday. If you want to stay on top of the new tips, subscribe to Lockergnome.com Windows Newsletters or download the newest compiled tips file. Both options can be accessed from the "Welcome to Xteq Systems X-Setup" application, inside the section "Lockergnome".

Getting the latest version of X-Setup

We often release new versions of X-Setup since we try to include new features as soon as possible. Please make sure you have the latest version of X-Setup by visiting http://www.xteq.com/products/xset/.


Installing new plug-ins and wizards

Unlike most other system tweakers, you can expand X-Setup's arsenal of options without having to download the program all over again. Instead, you can download extra plug-ins and wizards from the Internet.

Downloading plug-ins and wizards through X-Update

A nice feature of X-Setup is X-Update: with this program, you can download and install new plug-ins and wizards without need to browse the internet for hours! For more information, see X-Update.

Downloading plug-ins and wizards from web sites

Some other plug-in developers have created websites to download plug-ins from, and X-Setup has a nice easy facility for importing new plug-ins into the program.

If you use Microsoft Internet Explorer, then often you can just click on a plug-in or wizard on a web page, and X-Setup will download it and install it for you. It even refreshes itself so that the plug-in or wizard can be used straight-away (no need to press F5).

Note: Some authors put their plug-ins/wizards inside ZIP archives, in which case you will need a program capable of extracting files from these archives. Xteq recommends WinZip (shareware), PowerArchiver (freeware) and EnZip (freeware).


OS Versions Shortcuts

Because Xteq X-Setup runs on all Windows 32bit Operating Systems, shortcuts (e.g. XP) are normally used instead of the full name of the operating system (Windows XP). This is done, because it saves a lot of space inside the user interface.

  • 95 = Windows 95
  • 98 = Windows 98
  • 9x = Windows 95 or 98
  • NT = Windows NT 4.0
  • ME = Windows ME
  • 2K = Windows 2000
  • XP = Windows XP / .NET Server


Advanced Topics

This section contains information about some of X-Setup's more advanced functions.

Please select the topic you are interessted in from the menu at the left.


Keyboard Shortcuts

This is a list of key combinations you can use to access common functions, without using the mouse.

Key: | Action performed:
F1 | Opens the help file.
F3 | Opens the Search dialog.
F5 | Refreshes X-Setup's cache (see File Menu topic for more information).
F8 | Moves to the next plug-in in the tree (and activates it).
Ctrl + F8 | Moves to the previous plug-in in the tree (and activates it).
F9 | Applies changes made in a plug-in (or moves to the next page in Wizard mode).
F12 | Opens the Options dialog.
Up Arrow | Moves the the previous plug-in (but doesn't activate it).
Down Arrow | Moves the the next plug-in (but doesn't activate it).
Left Arrow | Expands a branch in the tree.
Right Arrow | Collapses a branch in the tree.
Enter | Activates the currently selected plug-in.
TAB | Moves between plug-in tree, selected options and Apply Changes button (or Back and Next buttons in Wizard Mode).
Page Up / Home | Moves to the item at the top of the tree ("All X-Setup Plug-ins").
Page Down / End | Moves to the item at the bottom of the tree.
Backspace | Moves to the previous branch in the tree.

You can also use ALT keys on the menus like you would do in any Windows application, and when editing text the normal key combinations also apply, such as Ctrl + Z for Undo, Ctrl + X for Cut, Ctrl + C for Copy, Ctrl + V for Paste and Ctrl + A for Select All. Note: Ctrl + Z only 'undoes' what you have typed; it does not reverse any changes you make to your system!


Administrators Guide

Administrators Guide to X-Setup

X-Setup Admin Options Introduction

X-Setup offers several useful features for system and network administrators. These can range from locking down and securing a user's system to simply blocking access to certain options that should not be changed. For example, to restrict a user's ability to change important options such as printer settings, networking configuration, display properties, and more, there are plug-ins and wizards which can be used in X-Setup to enable or disable permission to certain items, or to even hide them completely.

Some options will even allow administrators to enable or disable such things as plain text passwords, remote registry access, workgroup security settings, and a variety of other options.

Network Administrator Options

Network Administrators will find many of the settings under X-Setup's plug-in path: "Network -> Security" useful for controlling network settings on machines on their network. Each plug-in offers an explanation of what it does in the "Description" field when selected. These options are available on the "Wizards" menu under "Network" also.

System Administrator Options

System Administrators will find the most useful settings located under X-Setup's plug-in category: "System" which allows many options such as memory allocation, system security, software installation options, timeouts, startup options (including the ability to move items between "user" and "system"), time zone configuration, boot options, and file system settings. These items are also available under the "Wizards" menu under "System" in the drop down list.

All Administrators and X-Setup Power Users

Any administrator or advanced user will find useful settings in all plug-in and wizard categories in X-Setup. There are more options in the "File, Options" menu which will allow you to further configure X-Setup to suit your needs and preferences (see Options Dialog).

One such feature is "Record Mode" which records nearly all changes made to a system using X-Setup. This can be a great time saver because it will allow you to quickly import the same settings to a number of different computers which you wish to configure in the same way as the local machine (see Record Mode).

Another great feature is the "Tools" menu. It can be used to launch important system utilities and commonly used applications quickly and easily. This list is also highly configurable and can be modified via the "File, Options, Tools" box.

X-Setup's Cache

X-Setup can create small cache files in your \TEMP folder (usually located in C:\TEMP or C:\Windows\Temp). This cache allows X-Setup to launch much more quickly after the first time you run it. Wizards and plug-ins are cached by default. However, you can bypass this cache if you should need or want to for any reason, by disabling it in the "File, Options, Cache" or alternatively, you can reload all plug-ins using the "File, Refresh All (no cache)" option. It is safe to delete the cache files if you wish to do so, they will be recreated automatically the next time you run X-Setup, unless you have disabled the cache and set it as the default setting. Deleting the cache effectively empties it, though this is not usually necessary.


Installing X-Setup on a network

If you want to run X-Setup on multiple computers on a network, you could install the program onto every machine. But if you are the administrator of several hundred machines, then doing this would take a very long time. Fortunately, X-Setup can be run from a shared folder on a network server, and this topic contains information about how to achieve this successfully.

  • Step 1: Install X-Setup locally
  • Step 2: Copy the X-Setup program files to a shared folder
  • Step 3: Modify "COMMON.BAT" to point to the shared folders
  • Step 4: Check to see if the required components are installed
  • Step 5: Run the shared installation program

  • Optional Steps
  • Uninstallation

Step 1: Install X-Setup locally

Make sure you have X-Setup installed to a local drive. Since you are reading this help file, you've probably done this already.

Step 2: Copy the X-Setup program files to a shared folder

Here, you need to copy all the X-Setup program files. The program files are usually stored in C:\Program Files\X-Setup\ - copy this entire directory structure to a shared folder, such as S:\Shared\X-Setup\ (you need to include sub-folders such as \bin and \plugins). You should not exclude any files.

Step 3: Modify "COMMON.BAT" to point to the shared folders

Navigate to the shared folder where you have installed X-Setup, open the "net_inst" and right-click on "COMMON.BAT", then choose "Edit". Notepad should now open the file. At the end of the file, you should see a line which appears as "SET XSET_PATH= ". After the "=" sign, type the path of the shared folder where X-Setup is installed. So, for example, the line may now look like "SET XSET_PATH=S:\Shared\X-Setup". Save the file, and exit Notepad. Note: Do NOT type the trailing slash ("\") after the path - X-Setup adds this for you during the shared installation.

Step 4: Check to see if the required components are installed

You need to make sure that X-Setup's required components are installed on all machines. Which components are need can easily be found by reading CHKFAIL.TXT inside the \bin folder of X-Setup.

Step 5: Run the shared installation program

You now need to run "SETUP.BAT" (in the \net_inst folder) on each machine to register X-Setup's components. And that's it!

Optional Steps

Specifying default X-Setup settings for all users
When your users run X-Setup for the first time, it uses default options set by Xteq Systems. If you want to change these options, do the following:

  • Use the Options dialog in X-Setup to set all the options you want your users to have by default.
  • Open up the Registry Editor, and navigate to HKEY_CURRENT_USER\Software\Xteq Systems\X-Setup\CurrentVersion
  • Click on the File menu, and choose "Export Registry File..."
  • Save the file to the shared X-Setup folder, under the name "CONFIG.REG".
  • Run the "SETUP.BAT" file as detailed in Step 5. The registry settings will be applied at the same time as when you install the program on each machine.

Creating icons on each machine
By default, the shared installer doesn't create icons on the Start Menu or desktop. Although the program doesn't support it directly, you could add some .LNK files and modify the installer (which is a batch file), so that these files are copied too.

Uninstallation

If you want to remove X-Setup from a shared location, run the "REMOVE.BAT" file in the \net_inst folder on each machine. Then, you can safely delete the shared folder.


X-Setup Licensing

We have created X-Setup to give you full control over your computer and your programs. Since we think, everybody should have full control over these items, Xteq Systems X-Setup is 100% Freeware for for home user and charity/non-profit organizations.

However, creating X-Setup also costs us money. The computers we need for testing aren't for free, our development tools aren't for free, the Windows documentation we need (MSDN) isn't for free etc. Therefore, we think it's fair to charge commercial institutions for X-Setup to cover our costs.

Put simple:

  • Home user, charity or non-profit organizations: You can use X-Setup as Freeware
  • Commercial Institutions: You must purchase a license for X-Setup

For the exact details about X-Setup licensing, visit our website http://www.xteq.com/register/ or see the file LICENSE.TXT inside the folder where you installed X-Setup.

Notice: Most users do not need to register. If you want to help Xteq Systems, you may make a donation. Please visit http://www.xteq.com/donate/ for more information.


Support

Although we have tried our best to make X-Setup as error-free as possible, there will be constellations where X-Setup does not work as expected or using it will result in "strange" effects. Therefore we provide these topics to help you.

If you do not have a problem, but would like to know what you can do to avoid any problems with X-Setup, see the A Word Of Warning topic.

Important: Because of the massive success of X-Setup, Xteq Systems can no longer provide email support for X-Setup. We regret we had to make this change, but it was the only solution to keep X-Setup freeware for most of our users! Please do not sent support issues via email, they will be answered with an auto responder.

What to do when you have a problem with X-Setup

  1. First of all, keep cool and don't panic!
  2. Uninstalling X-Setup, although a common reaction, won't help. This action does not roll back any changes you made, so it won't solve your problem. Plus, the most problems user encounter when using X-Setup are side-effects of settings they have changed. Therefore, you will need X-Setup to revert the changes and resolve the problem.
  3. Read README.TXT located inside the folder where you installed X-Setup. This file maybe contains late-breaking information that aren't included in this help file and might already document a solution for your problem
  4. Read the Known Issues topic in this help file which documents problems with X-Setup that we already know about.
  5. Read the Frequently Asked Questions (FAQ) topic in this help file. It lists questions we are often asked and the answers.
  6. Visit the Online Support Page for general support tips.
  7. Visit the Document Center which documents all important topics about products from Xteq Systems.
  8. Visit the X-Setup Online Forum which is a peer-2-peer help forum for users of X-Setup. This forum is moderated by Xteq Systems.


Known issues

Known issues in X-Setup

This is a list of problems with X-Setup that we already know about, and are unable to fix.

If you are using a user account that hasn't full permissions to the system (e.g. "Guest"), some plug-ins might behave unexpectedly. For example, if the account does not have "read" access to some parts of the registry, some plug-ins can be disabled that would normally be enabled. Also, if the account does not have "write" access, applying a plug-in can result in an error message "Unable to write XXX to the registry".

Resolution: Login to an Administrator account for full access to all plug-ins

The cache feature of X-Setup does not harm you in any way if you develop custom plug-ins or wizards, but it won't detect it if you rename a plug-in file without updating the file time stamp.

Resolution: Use "Read all (no cache)" from the File Menu to force the cache to be refreshed.

When you right-click on one of X-Setup's taskbar icons, the control menu doesn't appear or only has a limited number of options. This is an issue caused by our development tools (Borland Delphi) and can not be controlled by Xteq Systems.

Resolution: Use the control menu displayed when you click on the icon in the top-left corner of each window or when you right-click the title bar.

Other Known Issues

Although we do document as many known issues here as possible, sometimes last-minute problems appear. Because of this, we strongly recommend you read the README.TXT file. For more information about this file, please see the Support topic.


X-Setup Licensing

FAQ stands for Frequently Asked Questions and simply documents questions we are often asked and the answers.

The FAQ topics are split into the following parts

FAQ - General

FAQ - Features

FAQ - Problems

FAQ - Misc


FAQ: General

Frequently Asked Questions about X-Setup - General Topics

  • What platforms (OSes) does X-Setup support?
  • I have another tweaking utility. Do I need to uninstall it before installing or using X-Setup?
  • Why are certain options grayed out on my system?
  • Can I create my own plug-ins for X-Setup?
  • If you navigate through the display using the UP- or DOWN-keys, X-Setup does not load any plug-in. Bug?

Q: What platforms (OSes) does X-Setup support?

A: X-Setup currently supports all versions of Windows 95, Windows NT 4.0, Windows 98, Windows 2000, Windows Me (Millennium Edition) and Windows XP Beta 2 (formerly Windows Whistler). It does not support Windows 3.1x or Windows NT 3.51, and will not run on Linux, BeOS or any other operating system. Note: Testing for Windows XP Beta 2 was carried out on the Proffesional edition, it has not been tested with the Home or Server editions.

Q: I have another tweaking utility. Do I need to uninstall it before installing or using X-Setup?

A: No, X-Setup does not interfere with any other "tweaker" programs. However, X-Setup eats all other tweakers for lunch so you probably won't need anything besides X-Setup ;-). X-Setup includes almost all the tweaks of most other system tweaking applications combined - and then some. :)

Q: Why are certain options grayed out on my system?

A: This is normal, and simply means that your computer probably does not have the software or hardware the plug-ins or wizards would change options for. If you like, you can use the Options dialog to hide plug-ins which aren't designed for your Operating System, for more information about this, see the Options dialog topic.

If a plug-in or wizard is disabled and you think it should be enabled (for example, you Video Card has a Voodoo Banshee chip but the Voodoo Banshee plug-in is disabled), please post this issue to our online forum, so we can see if this problem can be solved. See the X-Setup Online Forum topic to access this forum.

Q: Can I create my own plug-ins for X-Setup?

A: Certainly! You can use any text editor, even Windows Notepad, to author or edit your plug-ins to suit your needs. We also have a free X-Setup SDK available for download on the Xteq Systems website at http://www.xteq.com/ which you can download to help you create your plug-ins and wizards. If you like, you can send your plug-ins to info@xteq.com, and we may feature them on our website and in X-Update.

Q: If you navigate through the display using the UP- or DOWN-keys, X-Setup does not load any plug-in. Bug?

A: No, it's a feature! Because some plug-in might take really long to load, we have decided not to load a plug-in if you have activate it but when you hit ENTER. This way, navigating is fast and you can decide when to load a plug-in.

You can also use F8 to move down and CTRL and F8 to move up - using these keys does load each highlighted plug-in.


X-Setup FAQ

Frequently Asked Questions about X-Setup - Feature Topics

  • I would like to have an option for enabling Auto Login on Windows 95 or Windows 98 computers. Is this possible?
  • Can you create a plug-in that can tweak MTU values?
  • What browsers does X-Setup have plug-ins for?
  • Why isn't my Instant Messaging program supported in X-Setup?
  • Why aren't there any plug-ins for my video card in X-Setup?
  • I have a video card which is supported by X-Setup, but the plug-in is disabled. What should I do?
  • I know of a good idea for a new plug-in. What should I do?
  • Does X-Setup have built-in password protection?

Q: I would like to have an option for enabling Auto Login on Windows 95 or Windows 98 computers. Is this possible?

A: No, due to technical problems. But you can view http://support.microsoft.com/support/kb/articles/q152/1/04.asp?FR=0 where a detailed description of how to accomplish this is available. Thanks to Jon Scott [jscott@bellsouth.net] for this tip.

Q: Can you create a plug-in that can tweak MTU values?

A: No, changes to these settings can hang your internet connection totally so you can't even contact Xteq Systems if you have a problem. These settings are too dangerous and we won't include them in X-Setup. However, some other authors might decide to create plug-ins for this, have a look at X-Update to see if any appear. AXCEL216 provides excellent details about how to tweak MTU and many other great settings on his website at http://user.aol.com/axcel216/.

Q: What browsers does X-Setup have plug-ins for?

A: So far we have plug-ins that support Microsoft Internet Explorer, Netscape, NeoPlanet and Opera. You will find options for these under the "Internet" tree in the Plug-in Interface, or under "Web Browsers" in the Wizard interface.

Q: Why isn't my Instant Messaging program supported in X-Setup?

A: We have included plug-ins that let you adjust many options of the most popular Instant Messaging programs. However, if you know of any options for these or other Instant Messaging programs, then please post as much information about this IM program to the X-Setup Online Forum and we'll see what we can do.

Q: Why aren't there any plug-ins for my video card in X-Setup?

A: The reason for this is that we only have certain video boards available for us to test plug-ins on. Each video card requires different settings to tweak it or to adjust its settings.

Q: I know of a good idea for a new plug-in. What should I do?

A: You have two options:
1) Post the information, with relevant details and necessary registry or .INI file exports to the X-Setup Online Forum and we'll try to create a plug-in for it.

2) You can also make your own plug-ins based on the code of existing plug-ins, or with the help of the X-Setup SDK, free from the Xteq Systems website. You can make your own plug-ins available on your website, but feel free to send them to Xteq Systems too, as we may include them on our plug-in page or in X-Update.

Q: Does X-Setup have built-in password protection?

A: No, Xteq Systems has not included this type of feature because of potential issues with lost passwords, or with malacious crackers breaking the codes. We recommend that if security is an issue, you look into purchasing third-party security applications or move to the Windows 2000 or Windows NT 4.0 platform as they offer better security features than those found in Windows 95, 98 and Me.

Q: I have a video card which is supported by X-Setup, but the plug-in is disabled. What should I do?

A: If a video card plug-in or wizard is disabled and you think it should be enabled (for example, your Video Card has a Voodoo Banshee chip but the Voodoo Banshee plug-in is disabled), please post this information to the X-Setup Online Forum and we'll try to resolve this problem.


X-Setup FAQ

Frequently Asked Questions about X-Setup - Problem Topics

  • Is it possible to have all my changes made with X-Setup reverted in one step?
  • The file association option in Explorer and the options dialog in Internet Explorer have disappeared! How do I make them reappear?
  • I've just installed X-Setup and now XXX has disappeared/XXX no longer works/XXX is unusable. Is this related to the installation of X-Setup?
  • After using X-Setup, the Quick Launch Bar capability of my taskbar no longer works. How do I fix it?
  • I can no longer shut down my computer from the Start Menu.
  • After uninstalling X-Setup, the icon inside the Control Panel is still visible. How do I remove it?
  • After using X-Setup, the 'Open' and 'Explore' items on the Start button's Context Menu are disabled. What have I done?
  • I've used X-Setup, and now the Windows dial-up networking screen won't remember my password. How can I get it back?
  • The 'Add/Remove Hardware' applet in Control Panel is not there, even though it is ticked in the Control Panel plug-in. What's wrong?
  • Why can't I disable all of the items on my Start Menu?
  • I can no longer change the wallpaper of my desktop. How do I fix this?

Q: The file association option in Explorer and the options dialog in Internet Explorer have disappeared! How do I show them again?

A: Check the settings inside the branch Appearance -> Start menu. Disabling an item in the Start menu also disables the option elsewhere in Windows.

Q: I've just installed X-Setup and now XXX has disappeared/XXX no longer works/XXX is unusable. Is this related to the installation of X-Setup?

NO. Just installing X-Setup does NOT change anything on your system. Also, clicking on the a plug-in in the left pane of X-Setup does still not change anything. There are only two situations when changes are made: a) when you click the "Apply" button b) when you use a wizard because a wizard automatically commits your changes. If you want to know what changes were made and when, have a look at the Log file X-Setup keeps; for details about this, see the Extra Menu topic.

Q: After using X-Setup, the Quick Launch Bar capability of my taskbar no longer works. How do I fix this?

1) Verify, that you haven't activated the Classis Explorer Option inside Appearance -> Explorer -> Settings (Advanced) -> Classic" Explorer. Activating this option will disable all features that were added with Internet Explorer's ActiveDesktop.

2) Go to System -> File System -> Folders: Data -> General Folders and change the item "Program Data" to your AppData folder. Normally, this folder is located at "C:\WINDOWS\APPLICATION DATA". Please check if this folder exists BEFORE you change it. You should normally find a least one folder in it, called "Microsoft".

Q: I can no longer shut down my computer from the Start Menu.

A: Please visit our Document Center online (Document 29) and read about possible fixes for this problem. This is not an X-Setup bug, but one caused by Windows itself, Microsoft has issued a patch to correct this though it does not work on all systems. If you continue to have shutdown problems, please contact Microsoft Technical Support.

Q: After uninstalling X-Setup, the icon inside the Control Panel is still visible. How do I remove it?

A: Delete the file XQXSetup.CPL in your \windows\system or \winnt\system32 folder.

Q: After using X-Setup, the 'Open' and 'Explore' items on the Start button's Context Menu are disabled. What have I done?

A: Due to a mysterious Windows side-effect, hiding drives in Windows Explorer also disables the 'Open' and 'Explore' items on the Context Menu which appears when you right-click the Start button. To re-enable these two options, in the Default UI go to Appearance > Files&Folders > Drives in X-Setup and open the Show/Hide drives plug-in; now place a tick besides all the drives and click on Apply Changes. In Wizard Mode, use the Windows Explorer Wizard in the Appearance section. Currently there is no way of fixing this problem without showing all drives in Explorer.

Q: I've used X-Setup, and now the Windows dial-up networking screen won't remember my password. How can I get it back?

A: This is a Windows bug that Microsoft refuses to acknowledge, and it can be caused by a whole variety of different problems. We aren't exactly sure what part of X-Setup is responsible for this. Fixing this problem is not easy either, there are at least 7 solutions which may or may not work in every case. Xteq Systems recommends that you visit http://www.annoyances.org/cgi-bin/ce-showtopic/006_004 - this details some of the solutions. If you are still having problems, please visit the X-Setup Online Forum.

Q: The 'Add/Remove Hardware' applet in Control Panel is not there, even though it is ticked in the Control Panel plug-in. What's wrong?

A: In Windows 95/98/Me, the Add/Remove Hardware applet is attached to the System applet, so hiding the System applet also hides the Add/Remove Hardware applet. Therefore, re-enabling the System applet will re-enable the Add/Remove Hardware applet. Note: this does npt apply to Windows NT/2000 - the Add/Remove Hardware applet is separate.

Q: Is it possible to have all my changes made with X-Setup reverted in one step?

A: No, since there are possible actions inside the plug-in that can not be recorded, monitored etc. However, you can have a look at the X-Setup Log file, which keeps a log of all the changes you make with X-Setup. For more information about this, see the Extra Menu topic.

Q: Why can't I disable all of the items on my Start Menu?

A: You can only disable the 'Documents' menu if you have Windows 98/2000/Me, or have installed Internet Explorer 4.x with the Windows Desktop Update. You can only disable 'Help' if you have Windows 2000 or Me. This is because Microsoft didn't add the capabilities to disable these options in the original release.

Q: I can no longer change the wallpaper of my desktop. How do I fix this?

A: You can properly disabled the "Set as Wallpaper" option inside Internet -> Internet Explorer -> Appearance -> Appearance Options. As noted inside the plug-in, disabling this option will also disable the Wallpaper tab inside "Display".


X-Setup FAQ

Frequently Asked Questions about X-Setup - Misc Topics

  • Is there a place I can talk to others about X-Setup?
  • How can I get more information about specific plug-ins?
  • I would like to change the name (text) of the Start button. How?

Q: Is there a place I can talk to others about X-Setup?

A: Yes, the X-Setup Online Forum is the right place for this.

Q: How can I get more information about specific plug-ins?

A: While the plug-in is open, click on the blue 'i' icon on the Toolbar. This will open the Plug-in Information dialog, which gives information about the Author, and where you should go if you have problems with the plug-in. You can also open this dialog by using the Context Menu.

Q: I would like to change the name (text) of the Start button. How?

A: This is not possible with X-Setup because it would require us to change some core Windows DLL/EXE files. This is something we will never do! However, EppieDesktop can be used to do this; the URL for this tool can be found inside the plug-in: Appearance -> Control Panel -> OEM Icons -> Visible OEM Items #3.


Xteq Systems Support Page

The Xteq Systems Online Support Page is our main page for anything about support. It provides general tips, the Document Center, and other resources that can help to solve the problem you might encounter.

Please click the URL below to access it:

http://www.xteq.com/support/


Xteq Systems Document Center

The Xteq Systems Document Center is a collection of documents that we create if there is anything important about a product from Xteq Systems. This means, we post every general question, all bugs that are currently known, tips & tricks and other important information there.

New topics are added all the time, so we strongly recommend that you visit the Document Center regularly to be sure of getting the most up to date information.

Please click the URL below to access it:

http://www.xteq.com/support/dc/


Xteq Systems X-Setup Online Forum

The Xteq Systems X-Setup Online Forum is public message board, create to allow a direct communication between Xteq Systems and the users of X-Setup.

You can search for previous posts or problems, read some information about X-Setup, submit a feature wish or simply talk with other people about X-Setup.

Plus, if you were unable to find a solution for a problem you might encounter, you can also post this problem there and we'll try to solve it as soon as possible.

Note: Remember, support is offered free at our own expenses. Please be patient - we try to respond within 48 hours but this isn't always possible, and we cannot guarantee the availability of the service.

Please click the URL below to access it:

http://forums.delphiforums.com/xsetup/


Information Topics

Resources

In this section, you can read more about Xteq Systems and X-Setup.

Please select the topic you are interessted in from the menu at the left.


About Xteq Systems

The entire program and the provided documents are, except noted, copyright material - All Rights Reserved.

To contact the author or Xteq Systems

The address of the author is noted in README.TXT. To contact Xteq Systems, write to info@xteq.com or visit our website at http://www.xteq.com.

You will also find a lot of great freeware there!

Software License

A detailed license for this software is included in the file LICENSE.TXT that can be found in the same directory where the software is installed or directly inside the archive. You always use this program under the terms of our Software License.

Technical Support

Technical support is available for free at: http://www.xteq.com/support/.

Thank you for using a Xteq Systems program!


Resources

X-Setup Resources

Xteq Systems Links

Xteq Systems Homepage - Visit the home of Xteq Systems, makers of X-Setup

Xteq Systems Support - Check the Xteq Systems Support Section if you are having trouble

Xteq Systems X-Setup Homepage - Get the latest version of the ultimate Windows tweaking/hacking/system administration utility, for free, of course!

Xteq Systems X-Setup SDK - With this free tool, you can create your own plug-ins and wizards for X-Setup - they can be posted online or send to your friends if they have X-Setup :)

Xteq Systems X-Setup Official Plug-in Page - All new plug-ins we release are posted here. Please note that if you simply want to update your plug-ins, you can use X-Update for X-Setup.

Xteq Systems Member Pages
These are sites maintained by Xteq Systems staff:

AXCEL216's Tips & Tricks - The ultimate collection of useful tips, hidden tricks and much more for the system specialist to enjoy and learn. Many of X-Setup's settings have come from this site. Maintained by AXCEL216

Ojatex's Tips and Tricks - A good collection of tips for laptop users of Windows in an easy-to-understand and straightforward approach. Maintained by Ojatex

ComputingX - Tweak guides for Windows XP and Me, a guide to using the DR-DOS operating system, and more. Maintained by CptSiskoX

Neil's World - Weblog of the daily life of one of the Xteq team. Often includes X-Setup information. Maintained by Neil R. Turner

Other Useful Links

Lockergnome.com - The ultimate newsletter fully packed with useful information, tips, programs and much more

Windows Registry Guide - Easy to use guide to registry tweaking.

Microsoft Technical Support - Microsoft's online resource center for problems with Windows, Internet Explorer, and other products made by Microsoft. A good resource to search if you are having problems.


X-Update

X-Update for X-Setup

X-Update for X-Setup is an application that allows you to update your plug-ins and wizards from different internet sites. Normally, you will get your updates from the Xteq Systems Official X-Setup Plug-ins Page but third party developers can also be configured as the source for the updates

Please see the Technical Reference topic for information what you need to run X-Update and how it works. In short: X-Update requires a properly configured Internet Explorer.

Please select the topic you are interested in from the menu at the left.


X-Update Technical Information

Requirements

To work properly, X-Update requires Internet Explorer 4.0 installed and configured properly (reads: you can enter an URL in Internet Explorer and view the page).

X-Update automatically uses the settings from Internet Explorer so once Internet Explorer is configured, X-Update will be able to connect to the Internet.

It should work with most Proxies but if you have trouble, try to use X-Update without a Proxy.

How it works

The main "data" X-Update uses is stored inside CSV (Comma Separated Values) files that are provided by plug-in developers. These CSV files are download from the internet and compared to the files you have currently installed.

X-Update then displays this list and allows you to select which files you wish to download. If you finally press the "Update" button, X-Update downloads the selected files, extracts the selected files and copies them to the correct folders.

You can always control which CSV files X-Update download by checking the "Sites" tab inside the "Options" Window of X-Update.

Important Privacy Notice

X-UPDATE IS NOT SPYWARE!

X-UPDATE DOES NOT SENT ANY INFORMATION FROM YOUR COMPUTER TO THE INTERNET NOR DOES IT READ, WRITE OR TRANSFER ANY COOKIES!

X-UPDATE IS ONLY AN APPLICATION TO UPDATE YOUR COPY OF X-SETUP, NOT A TOOL TO GET INFORMATION ABOUT YOU!

Components user for X-Update

Xteq Systems uses the following components to create X-Update. We would like to thank these people; without their great work X-Update wouldn't exist.

  • HTTPGet by UtilMind Solutions
    info@utilmind.com
    http://www.utilmind.com
  • kbmMEMTABLE by Kim Bo Madsen/Optical Services
    kbm@optical.dk
    http://www.onelist.com/community/memtable
  • pgCSV by Khashayar Sadjadi
    khashi@pragena.8m.com
    http://pragena.8m.com
  • UNZIP by Dr Abimbola Olowofoyeku (The African Chief)
    http://ourworld.compuserve.com/homepages/African_Chief


How to use X-Update

This is a step-by-step to updating X-Setup with new wizards and plug-ins using X-Update.

  • Step 1: Launching X-Update
  • Step 2: Receiving file list
  • Step 3: Select items you want to download
  • Step 4: Downloading files
  • Step 5: Running your plug-ins

Step 1: Launching X-Update

First, make sure you are connected to the internet, and that any other X-Setup programs are not running. To start it, start the "Xteq Systems X-Setup Welcome" link using the Start -> Programs menu. Inside the "Welcome to Xteq Systems X-Setup" screen, click the "X-Update for X-Setup" link.

* Back to top

Step 2: Receiving file list

Each time you start X-Update, the program will retrieve a list of plug-ins and wizards from Xteq Systems' web site (which is why you need to be connected to the internet). The following dialog will be shown while this happens:

X-Update Download

* Back to top

Step 3: Select items you want to download

Once the list of downloadable items has downloaded, you will see the following dialog (or something similar):

X-Update UI

Place a checkmark besides the items you want to download (scroll down for more items), and then click on 'Start Update process'. X-Update will now download the files and install them into X-Setup.

* Back to top

Step 4: Downloading files

X-Update will show the download dialog again, but this time it will download, decompress and install each file you have selected.

Once X-Update has downloaded and installed all the necessary files, you will receive a message confirming that the files have been installed correctly.

* Back to top

Step 5: Running your plug-ins

All you need to do is close X-Update, launch X-Setup and run the new plug-ins/wizards you have downloaded. Note: Some plug-ins may have been created by third-party authors, and may cause harm to your system. Therefore, Xteq Systems recommends you activate Safe Mode before using these plug-ins.

* Back to top


X-Update UI

X-Update User Interface

This topic lets you discover what each part of the X-Update User Interface (UI) does. Click on one of the items below to find out what it does:

You can't click here!

  • Filename

    This is the filename of the plug-in or wizard that you can download. This will give you an idea of what the plug-in does.

    * Back to top

  • Type

    This tells you whether the item is a plug-in ("PLUG"), wizard ("WIZ") or an application ("APP").

    * Back to top

  • Version Local

    This is the version of the plug-in or wizard on your computer. If n/a is shown here, then you do not have the plug-in or wizard installed.

    * Back to top

  • Version Remote

    This is the version of the plug-in or wizard that is currently available for download.

    * Back to top

  • Status

    This will say one of three things:

    • "NEW"
      This appears if you haven't downloaded and installed this item.

    • "Updated"
      A newer version of a plug-in or wizard you already have is now available, and you should upgrade to this new version.

    • "Already Installed"
      You already have the latest version of this plug-in or wizard, and therefore you don't need to update it.

    * Back to top

  • Description

    This panel will show you the description, if any, of the item under your mouse pointer.

    * Back to top

  • Show Logfile

    While you use X-Update, the program logs all its actions to a logfile. If you encounter a problem, or you want to know how X-Update works, click on the Show Logfile button to view the logfile.

    * Back to top

  • Start Update process

    Clicking on this button will make X-Update download all the plug-ins and wizards that you have checked in the listbox.

    * Back to top

  • File Menu

    This will open the File menu where you access X-Updates options or select other actions. For more information about the Options dialog in X-Update, see the X-Update Options topic.

    * Back to top

  • Selection Menu

    This menu allows you to mark a whole bunch of items without requiring you to select each single item. You can easily mark all the new, updated, or both new and updated plug-ins for download. You can also clear all checkboxes with this menu, so that no items are marked for download.

    * Back to top

  • Help Menu

    This will open the Help menu. We don't need to describe this any further, don't we?

    * Back to top

  • Status Bar

    This bar tells you what the program is doing, such as 'Downloading file list' etc. When the program is idle, it will say 'Done'.

    * Back to top


X-Update Options

This is a guide to using X-Update's options dialog. To find out what each item does, click on the name of its tab page below:

  • Auto Select
  • Display
  • Sites

  • Auto Select

    Automatically select items
    These two options let you have items automatically selected when you run X-Update. 'Automatically select "UPDATED" items' automatically marks updated plug-ins or wizards for download (for example, if a plug-in you already have has been updated, it will be automatically selected). Enabling 'Automatically select "NEW" items' will automatically mark any new plug-ins for download.

    Note: It is recommended that you enable 'Automatically select "UPDATED" items', since this will replace any outdated (and possibly buggy) plug-ins. You can have both options enabled, but bear in mind that if new items are automatically marked for download, the first time you run X-Update you will have a lot of downloading to do! Also, many 'new' items were created by third-party authors, so you may want to activate Safe Mode when using these items.

    * Back to top

  • Display

    Display Items
    This lets you control which items X-Update can display. For example, you might only be interested in downloading new plug-ins, in which case you can clear the ticks beside 'Show Wizards items' and 'Show Applications'. Note: If you disable Plug-ins and enable Wizards, you may find that some of the wizards do not work once they have been downloaded. This is because some of the wizards rely on extra plug-ins which have to be downloaded.

    Show items that are marked "Already Installed" also
    If you have already downloaded and installed some of the plug-ins or wizards that are available, by default X-Update doesn't show them in the list, since they don't need to be updated. However, if you download a plug-in or wizard and it doesn't work, this may be due to a corrupted download, in which case you may want to reinstall it. Therefore, enabling this option may be useful.

    * Back to top

  • Sites

    This lists all the places on the internet where X-Update can download files from. The official Xteq Systems download is located at http://user.aol.com/ojatex/plugins/plugins.csv , but other members of the Xteq Systems staff and third-party authors may set up their own download archives elsewhere, in which case you can type the URLs for their archives here. Note: all URLs must end with ".csv", otherwise X-Update cannot retrieve the file lists.

    * Back to top


X-Setup Support Forum

IMPORTANT: Before you visit the forum, PLEASE read the following:

  1. We provide support for X-Setup in our spare time; working for Xteq Systems is not our day job and we offer support at our own expenses. Please, don't waste our time - reading the following documents and websites may help you solve your problem without our help.
    • README.TXT (this file should be in your C:\Program Files\X-Setup\ folder, or an equivalent) This gives last-minute information that was not added to the documentation before release.
    • The FAQ - This answers many of the questions we receive regularly.
    • Known Issues - Known problems with X-Setup that we can't solve.
    • Document Center - Known problems/minor queries that didn't make it into the X-Setup release. Latest updates available online at http://xteq.com/support/dc/.
    • Microsoft Support - Microsoft's support site, which can be searched.

    We will give priority to those users who are asking questions specifically related to X-Setup and that are not covered by the above sources. We do try to answer all questions, but this isn't always possible, and by looking at these sources and finding the answers yourself, you will save our time (and sanity).

  2. Although the support forum is moderated by Xteq Systems staff, other users may offer useful advice, and if you are a competant user of X-Setup, we encourage you to help. However, advice given by those who are not in the Xteq Systems team may be incorrect, and you should take care when following this advice.

    Currently, the following members of the Xteq Systems team moderate the forum: TeXHeX, CptSiskoX, totalXS, Szwarc and Axcel216.

  3. If you fail to get an answer to your question within two weeks, then we recommend that you email Xteq Systems at info@xteq.com. IMPORTANT: Please use this as a LAST RESORT - this address is only checked by the senior staff member who already has a lot of work to do. We CANNOT cope with hundreds of support requests through this address.

If you would still like to proceed to the forum, please click here.


Lockergnome Tips

Lockergnome Tips and Tricks

To launch the Lockergnome tips and tricks collection,